typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		char const *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indicees;
	} v_array;
	GBIndex            *v_index;

	GBExpr const	   *expr;
	GBStatement const  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	STREAM	259
#define	FLOAT	260
#define	INTEGER	261
#define	GB_GE	262
#define	GB_LE	263
#define	GB_MOD	264
#define	GB_ARG_ASSIGN	265
#define	GB_IS	266
#define	GB_EQV	267
#define	GB_LIKE	268
#define	GB_IMP	269
#define	GB_AND	270
#define	GB_OR	271
#define	GB_XOR	272
#define	GB_NOT	273
#define	GB_ACTIVATE	274
#define	GB_AS	275
#define	GB_ATTRIBUTE	276
#define	GB_APPEND	277
#define	GB_BASE	278
#define	GB_BEGIN	279
#define	GB_BEEP	280
#define	GB_CALL	281
#define	GB_CASE	282
#define	GB_CLOSE	283
#define	GB_COMPARE	284
#define	GB_CONST	285
#define	GB_DATE	286
#define	GB_DECLARE	287
#define	GB_DEFTYPE	288
#define	GB_DELETESETTING	289
#define	GB_DIM	290
#define	GB_DO	291
#define	GB_EACH	292
#define	GB_ELSE	293
#define	GB_END	294
#define	GB_ELSE_IF	295
#define	GB_ERASE	296
#define	GB_ERROR	297
#define	GB_EXIT	298
#define	GB_EXPLICIT	299
#define	GB_FALSE	300
#define	GB_FILECOPY	301
#define	GB_FOR	302
#define	GB_FUNCTION	303
#define	GB_GET	304
#define	GB_GLOBAL	305
#define	GB_GOSUB	306
#define	GB_GOTO	307
#define	GB_IF	308
#define	GB_INPUT	309
#define	GB_KILL	310
#define	GB_LSET	311
#define	GB_LET	312
#define	GB_LEN	313
#define	GB_LINE	314
#define	GB_LOAD	315
#define	GB_LOCK	316
#define	GB_LOOP	317
#define	GB_MID	318
#define	GB_MKDIR	319
#define	GB_NAME	320
#define	GB_NEXT	321
#define	GB_ON	322
#define	GB_OPEN	323
#define	GB_OPTION	324
#define	GB_OUTPUT	325
#define	GB_PRINT	326
#define	GB_PRIVATE	327
#define	GB_PROPERTY	328
#define	GB_PUBLIC	329
#define	GB_PUT	330
#define	GB_RSET	331
#define	GB_RANDOM	332
#define	GB_RANDOMIZE	333
#define	GB_REDIM	334
#define	GB_REM	335
#define	GB_RESET	336
#define	GB_RESUME	337
#define	GB_RETURN	338
#define	GB_RMDIR	339
#define	GB_RND	340
#define	GB_SAVESETTING	341
#define	GB_SEEK	342
#define	GB_SELECT	343
#define	GB_SENDKEYS	344
#define	GB_SET	345
#define	GB_SETATTR	346
#define	GB_STATIC	347
#define	GB_STOP	348
#define	GB_SUB	349
#define	GB_THEN	350
#define	GB_TIME	351
#define	GB_TRUE	352
#define	GB_TYPE	353
#define	GB_UNLOAD	354
#define	GB_UNLOCK	355
#define	GB_VERSION	356
#define	GB_WEND	357
#define	GB_WHILE	358
#define	GB_WIDTH	359
#define	GB_WITH	360
#define	GB_WITH_EVENTS	361
#define	GB_WRITE	362
#define	GB_NEW	363
#define	GB_TO	364
#define	GB_STEP	365
#define	GB_PARAM_ARRAY	366
#define	GB_BYREF	367
#define	GB_BYVAL	368
#define	GB_OPTIONAL	369
#define	GB_NOTHING	370
#define	GB_IN	371
#define	GB_BINARY	372
#define	GB_TEXT	373
#define	GB_DATABASE	374
#define	GB_MODULE	375
#define	GB_UNTIL	376
#define	GB_PRESERVE	377
#define	GB_BEGIN_PROPERTY	378
#define	GB_END_PROPERTY	379
#define	GB_OBJECT	380
#define	GB_KEEP_LOOKING	381
#define	GB_SPACE_DOT	382
#define	GB_NE	383
#define	UNARY_NEG	384
#define	UNARY_POS	385

